> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Traces

> List traces with pagination and filtering.



## OpenAPI

````yaml GET /api/tracing/traces/list/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/tracing/traces/list/:
    get:
      tags:
        - tracing
      description: List traces with pagination and filtering.
      operationId: tracing_traces_list_list
      parameters:
        - in: query
          name: agent
          schema:
            type: string
            format: uuid
          description: Filter by agent ID
        - in: query
          name: limit
          schema:
            type: integer
            default: 50
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
        - in: query
          name: sort
          schema:
            type: string
            default: '-started_at'
        - in: query
          name: started_after
          schema:
            type: string
            format: date-time
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TraceListResponse'
          description: Paginated trace list
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    TraceListResponse:
      type: object
      description: Response serializer for trace list with pagination.
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/TraceList'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - pagination
        - results
    TraceList:
      type: object
      description: Lightweight serializer for listing traces (without nested spans).
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        agent:
          type: string
          format: uuid
          nullable: true
        agent_name:
          type: string
          nullable: true
          readOnly: true
        template_name:
          type: string
          nullable: true
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
        ended_at:
          type: string
          format: date-time
          nullable: true
        error:
          type: string
        duration_ms:
          type: integer
          readOnly: true
          nullable: true
        metadata: {}
        span_count:
          type: integer
          readOnly: true
        has_error:
          type: boolean
          readOnly: true
      required:
        - agent_name
        - duration_ms
        - has_error
        - id
        - name
        - span_count
        - started_at
        - template_name
    Pagination:
      type: object
      description: Generic pagination info serializer.
      properties:
        total_count:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
        has_more:
          type: boolean
      required:
        - has_more
        - limit
        - offset
        - total_count
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````